/**
* Implementation of hook_views_default_views().
*/
function om_broadcast_sync_views_default_views() {
		  /*
		  * View 'schedule'
		  */
		  $view = new view;
		  $view->name = 'schedule';
		  $view->description = 'A multi-dimensional tv schedule view with back/next navigation.';
		  $view->tag = 'Schedule';
		  $view->view_php = '';
		  $view->base_table = 'node';
		  $view->is_cacheable = FALSE;
		  $view->api_version = 2;
		  $view->disabled = FALSE; /* Edit this to true to make a default view disabled initially */
		  $handler = $view->new_display('default', 'Defaults', 'default');
		  $handler->override_option('fields', array(
								'field_om_airing_date_value' => array(
										  'label' => 'Airing Date',
										  'alter' => array(
													 'alter_text' => 0,
													 'text' => '',
													 'make_link' => 0,
													 'path' => '',
													 'alt' => '',
													 'prefix' => '',
													 'suffix' => '',
													 'help' => '',
													 'trim' => 0,
													 'max_length' => '',
													 'word_boundary' => 1,
													 'ellipsis' => 1,
													 'strip_tags' => 0,
													 'html' => 0,
										  ),
										  'link_to_node' => 0,
										  'label_type' => 'widget',
										  'format' => 'default',
										  'multiple' => array(
													 'multiple_number' => '',
													 'multiple_from' => '',
													 'multiple_to' => '',
													 'group' => TRUE,
										  ),
										  'repeat' => array(
													 'show_repeat_rule' => '',
										  ),
										  'fromto' => array(
													 'fromto' => 'value',
										  ),
										  'exclude' => 0,
										  'id' => 'field_om_airing_date_value',
										  'table' => 'node_data_field_om_airing_date',
										  'field' => 'field_om_airing_date_value',
										  'override' => array(
													 'button' => 'Override',
										  ),
										  'relationship' => 'none',
								),
								'title' => array(
										  'label' => '',
										  'link_to_node' => 1,
										  'exclude' => 0,
										  'id' => 'title',
										  'field' => 'title',
										  'table' => 'node',
										  'relationship' => 'none',
								),
								'changed' => array(
										  'label' => '',
										  'alter' => array(
													 'alter_text' => 0,
													 'text' => '',
													 'make_link' => 0,
													 'path' => '',
													 'alt' => '',
													 'prefix' => '',
													 'suffix' => '',
													 'help' => '',
													 'trim' => 0,
													 'max_length' => '',
													 'word_boundary' => 1,
													 'ellipsis' => 1,
													 'strip_tags' => 0,
													 'html' => 0,
										  ),
										  'date_format' => 'small',
										  'custom_date_format' => '',
										  'exclude' => 1,
										  'link_to_node' => 0,
										  'id' => 'changed',
										  'field' => 'changed',
										  'table' => 'node',
										  'relationship' => 'none',
										  'override' => array(
													 'button' => 'Override',
										  ),
								),
								'field_om_airing_duration_value' => array(
										  'label' => '',
										  'alter' => array(
													 'alter_text' => 0,
													 'text' => '',
													 'make_link' => 0,
													 'path' => '',
													 'alt' => '',
													 'prefix' => '',
													 'suffix' => '',
													 'help' => '',
													 'trim' => 0,
													 'max_length' => '',
													 'word_boundary' => 1,
													 'ellipsis' => 1,
													 'strip_tags' => 0,
													 'html' => 0,
										  ),
										  'link_to_node' => 0,
										  'label_type' => 'none',
										  'format' => 'default',
										  'multiple' => array(
													 'group' => TRUE,
													 'multiple_number' => '',
													 'multiple_from' => '',
													 'multiple_reversed' => FALSE,
										  ),
										  'exclude' => 1,
										  'id' => 'field_om_airing_duration_value',
										  'table' => 'node_data_field_om_airing_duration',
										  'field' => 'field_om_airing_duration_value',
										  'relationship' => 'none',
								),
								'name' => array(
										  'label' => 'Term',
										  'alter' => array(
													 'alter_text' => 0,
													 'text' => '',
													 'make_link' => 0,
													 'path' => '',
													 'alt' => '',
													 'prefix' => '',
													 'suffix' => '',
													 'help' => '',
													 'trim' => 0,
													 'max_length' => '',
													 'word_boundary' => 1,
													 'ellipsis' => 1,
													 'strip_tags' => 0,
													 'html' => 0,
										  ),
										  'link_to_taxonomy' => 0,
										  'exclude' => 1,
										  'id' => 'name',
										  'table' => 'term_data',
										  'field' => 'name',
										  'relationship' => 'none',
								),
		  ));
		  $handler->override_option('sorts', array(
								'tid' => array(
										  'order' => 'ASC',
										  'id' => 'tid',
										  'table' => 'term_data',
										  'field' => 'tid',
										  'relationship' => 'none',
								),
								'field_om_airing_date_value' => array(
										  'order' => 'ASC',
										  'delta' => -1,
										  'id' => 'field_om_airing_date_value',
										  'table' => 'node_data_field_om_airing_date',
										  'field' => 'field_om_airing_date_value',
										  'override' => array(
													 'button' => 'Override',
										  ),
										  'relationship' => 'none',
								),
		  ));
		  $handler->override_option('arguments', array(
								'date_argument' => array(
										  'default_action' => 'default',
										  'style_plugin' => 'default_summary',
										  'style_options' => array(),
										  'wildcard' => 'all',
										  'wildcard_substitution' => 'All',
										  'title' => '',
										  'default_argument_type' => 'date',
										  'default_argument' => '',
										  'validate_type' => 'none',
										  'validate_fail' => 'not found',
										  'date_fields' => array(
													 'node_data_field_om_airing_date.field_om_airing_date_value' => 'node_data_field_om_airing_date.field_om_airing_date_value',
										  ),
										  'year_range' => '-3:+3',
										  'date_method' => 'OR',
										  'granularity' => 'day',
										  'id' => 'date_argument',
										  'table' => 'node',
										  'field' => 'date_argument',
										  'relationship' => 'none',
										  'default_argument_user' => 0,
										  'default_argument_fixed' => '',
										  'default_argument_php' => '',
										  'validate_argument_node_type' => array(
													 'image' => 0,
													 'content_box' => 0,
													 'feed' => 0,
													 'om_airing' => 0,
													 'om_feed' => 0,
													 'om_project' => 0,
													 'page' => 0,
													 'story' => 0,
													 'tv_airing' => 0,
													 'tv_channel' => 0,
													 'tv_episode' => 0,
													 'tv_program' => 0,
													 'tv_schedule_feed' => 0,
										  ),
										  'validate_argument_node_access' => 0,
										  'validate_argument_nid_type' => 'nid',
										  'validate_argument_vocabulary' => array(
													 '1' => 0,
										  ),
										  'validate_argument_type' => 'tid',
										  'validate_argument_php' => '',
										  'override' => array(
													 'button' => 'Override',
										  ),
										  'default_options_div_prefix' => '',
										  'validate_user_argument_type' => 'uid',
										  'validate_user_roles' => array(
													 '2' => 0,
										  ),
										  'validate_argument_transform' => 0,
										  'validate_user_restrict_roles' => 0,
								),
		  ));
		  $handler->override_option('filters', array(
								'tid' => array(
										  'operator' => 'or',
										  'value' => array(
													 '1' => '1',
													 '2' => '2',
										  ),
										  'group' => '0',
										  'exposed' => FALSE,
										  'expose' => array(
													 'operator' => 'tid_op',
													 'label' => 'Pick a channel',
													 'use_operator' => 0,
													 'identifier' => 'tid',
													 'optional' => 0,
													 'single' => 1,
													 'remember' => 0,
													 'reduce' => 0,
										  ),
										  'type' => 'select',
										  'limit' => TRUE,
										  'vid' => '1',
										  'id' => 'tid',
										  'table' => 'term_node',
										  'field' => 'tid',
										  'hierarchy' => 0,
										  'override' => array(
													 'button' => 'Override',
										  ),
										  'relationship' => 'none',
										  'reduce_duplicates' => 0,
								),
								'status' => array(
										  'operator' => '=',
										  'value' => 1,
										  'group' => '0',
										  'exposed' => FALSE,
										  'expose' => array(
													 'operator' => FALSE,
													 'label' => '',
										  ),
										  'id' => 'status',
										  'table' => 'node',
										  'field' => 'status',
										  'relationship' => 'none',
								),
								'type' => array(
										  'operator' => 'in',
										  'value' => array(
													 'om_airing' => 'om_airing',
										  ),
										  'group' => '0',
										  'exposed' => FALSE,
										  'expose' => array(
													 'operator' => FALSE,
													 'label' => '',
										  ),
										  'id' => 'type',
										  'table' => 'node',
										  'field' => 'type',
										  'override' => array(
													 'button' => 'Override',
										  ),
										  'relationship' => 'none',
								),
		  ));
		  $handler->override_option('access', array(
								'type' => 'none',
								'role' => array(),
								'perm' => '',
		  ));
		  $handler->override_option('title', 'TV Schedule');
		  $handler->override_option('header_empty', 1);
		  $handler->override_option('items_per_page', 0);
		  $handler->override_option('use_more', 0);
		  $handler->override_option('style_plugin', 'calendar_nav');
		  $handler = $view->new_display('calendar', 'Calendar page', 'calendar_1');
		  $handler->override_option('filters', array(
								'tid' => array(
										  'operator' => 'or',
										  'value' => array(
													 '1' => '1',
													 '2' => '2',
										  ),
										  'group' => '0',
										  'exposed' => TRUE,
										  'expose' => array(
													 'use_operator' => 0,
													 'operator' => 'tid_op',
													 'identifier' => 'tid',
													 'label' => 'Pick a channel',
													 'optional' => 0,
													 'single' => 1,
													 'remember' => 0,
													 'reduce' => 0,
										  ),
										  'type' => 'select',
										  'limit' => TRUE,
										  'vid' => '1',
										  'id' => 'tid',
										  'table' => 'term_node',
										  'field' => 'tid',
										  'hierarchy' => 0,
										  'override' => array(
													 'button' => 'Use default',
										  ),
										  'relationship' => 'none',
										  'reduce_duplicates' => 0,
								),
								'status' => array(
										  'operator' => '=',
										  'value' => 1,
										  'group' => '0',
										  'exposed' => FALSE,
										  'expose' => array(
													 'operator' => FALSE,
													 'label' => '',
										  ),
										  'id' => 'status',
										  'table' => 'node',
										  'field' => 'status',
										  'relationship' => 'none',
								),
								'type' => array(
										  'operator' => 'in',
										  'value' => array(
													 'om_airing' => 'om_airing',
										  ),
										  'group' => '0',
										  'exposed' => FALSE,
										  'expose' => array(
													 'operator' => FALSE,
													 'label' => '',
										  ),
										  'id' => 'type',
										  'table' => 'node',
										  'field' => 'type',
										  'override' => array(
													 'button' => 'Override',
										  ),
										  'relationship' => 'none',
								),
		  ));
		  $handler->override_option('path', 'schedule');
		  $handler->override_option('menu', array(
								'type' => 'none',
								'title' => '',
								'description' => '',
								'weight' => 0,
								'name' => 'navigation',
		  ));
		  $handler->override_option('tab_options', array(
								'type' => 'none',
								'title' => '',
								'description' => '',
								'weight' => 0,
		  ));
		  $handler->override_option('calendar_colors', array(
								'0' => array(),
		  ));
		  $handler->override_option('calendar_colors_vocabulary', array());
		  $handler->override_option('calendar_colors_taxonomy', array());
		  $handler->override_option('calendar_popup', '0');
		  $handler->override_option('calendar_date_link', '');
		  $handler = $view->new_display('calendar_block', 'Calendar block', 'calendar_block_1');
		  $handler->override_option('arguments', array(
								'date_argument' => array(
										  'default_action' => 'default',
										  'style_plugin' => 'default_summary',
										  'style_options' => array(),
										  'wildcard' => 'all',
										  'wildcard_substitution' => 'All',
										  'title' => '',
										  'default_argument_type' => 'date',
										  'default_argument' => '',
										  'validate_type' => 'none',
										  'validate_fail' => 'not found',
										  'date_fields' => array(
													 'node_data_field_om_airing_date.field_om_airing_date_value' => 'node_data_field_om_airing_date.field_om_airing_date_value',
										  ),
										  'year_range' => '-3:+3',
										  'date_method' => 'OR',
										  'granularity' => 'month',
										  'id' => 'date_argument',
										  'table' => 'node',
										  'field' => 'date_argument',
										  'relationship' => 'none',
										  'default_argument_user' => 0,
										  'default_argument_fixed' => '',
										  'default_argument_php' => '',
										  'validate_argument_node_type' => array(
													 'image' => 0,
													 'content_box' => 0,
													 'feed' => 0,
													 'om_airing' => 0,
													 'om_feed' => 0,
													 'om_project' => 0,
													 'page' => 0,
													 'story' => 0,
													 'tv_airing' => 0,
													 'tv_channel' => 0,
													 'tv_episode' => 0,
													 'tv_program' => 0,
													 'tv_schedule_feed' => 0,
										  ),
										  'validate_argument_node_access' => 0,
										  'validate_argument_nid_type' => 'nid',
										  'validate_argument_vocabulary' => array(
													 '1' => 0,
										  ),
										  'validate_argument_type' => 'tid',
										  'validate_argument_php' => '',
										  'override' => array(
													 'button' => 'Use default',
										  ),
										  'default_options_div_prefix' => '',
										  'validate_user_argument_type' => 'uid',
										  'validate_user_roles' => array(
													 '2' => 0,
										  ),
										  'validate_argument_transform' => 0,
										  'validate_user_restrict_roles' => 0,
								),
		  ));
		  $handler->override_option('block_description', 'TV Schedule Calendar');
		  $handler->override_option('block_caching', -1);
		  $handler = $view->new_display('calendar_period', 'Day view', 'calendar_period_3');
		  $handler->override_option('filters', array(
								'status' => array(
										  'operator' => '=',
										  'value' => 1,
										  'group' => '0',
										  'exposed' => FALSE,
										  'expose' => array(
													 'operator' => FALSE,
													 'label' => '',
										  ),
										  'id' => 'status',
										  'table' => 'node',
										  'field' => 'status',
										  'relationship' => 'none',
								),
								'type' => array(
										  'operator' => 'in',
										  'value' => array(
													 'om_airing' => 'om_airing',
										  ),
										  'group' => '0',
										  'exposed' => FALSE,
										  'expose' => array(
													 'operator' => FALSE,
													 'label' => '',
										  ),
										  'id' => 'type',
										  'table' => 'node',
										  'field' => 'type',
										  'override' => array(
													 'button' => 'Override',
										  ),
										  'relationship' => 'none',
								),
		  ));
		  $handler->override_option('style_plugin', 'table');
		  $handler->override_option('style_options', array(
								'grouping' => '',
								'override' => 1,
								'sticky' => 0,
								'order' => 'asc',
								'columns' => array(
										  'title' => 'title',
										  'changed' => 'changed',
										  'field_om_airing_date_value' => 'field_om_airing_date_value',
										  'field_om_airing_duration_value' => 'field_om_airing_duration_value',
										  'name' => 'name',
								),
								'info' => array(
										  'title' => array(
													 'sortable' => 0,
													 'separator' => '',
										  ),
										  'changed' => array(
													 'sortable' => 0,
													 'separator' => '',
										  ),
										  'field_om_airing_date_value' => array(
													 'sortable' => 0,
													 'separator' => '',
										  ),
										  'field_om_airing_duration_value' => array(
													 'sortable' => 0,
													 'separator' => '',
										  ),
										  'name' => array(
													 'sortable' => 0,
													 'separator' => '',
										  ),
								),
								'default' => '-1',
		  ));
		  $handler->override_option('attachment_position', 'after');
		  $handler->override_option('inherit_arguments', TRUE);
		  $handler->override_option('inherit_exposed_filters', TRUE);
		  $handler->override_option('displays', array(
								'calendar_1' => 'calendar_1',
								'default' => 0,
								'calendar_block_1' => 0,
		  ));
		  $handler->override_option('calendar_type', 'day');
		  $handler = $view->new_display('calendar_period', 'Week view', 'calendar_period_4');
		  $handler->override_option('filters', array(
								'status' => array(
										  'operator' => '=',
										  'value' => 1,
										  'group' => '0',
										  'exposed' => FALSE,
										  'expose' => array(
													 'operator' => FALSE,
													 'label' => '',
										  ),
										  'id' => 'status',
										  'table' => 'node',
										  'field' => 'status',
										  'relationship' => 'none',
								),
								'type' => array(
										  'operator' => 'in',
										  'value' => array(
													 'om_airing' => 'om_airing',
										  ),
										  'group' => '0',
										  'exposed' => FALSE,
										  'expose' => array(
													 'operator' => FALSE,
													 'label' => '',
										  ),
										  'id' => 'type',
										  'table' => 'node',
										  'field' => 'type',
										  'override' => array(
													 'button' => 'Override',
										  ),
										  'relationship' => 'none',
								),
		  ));
		  $handler->override_option('style_plugin', 'calendar_style');
		  $handler->override_option('style_options', array(
								'name_size' => '99',
								'with_weekno' => 0,
								'max_items' => 0,
								'max_items_behavior' => 'more',
								'groupby_times' => 'hour',
								'groupby_times_custom' => '',
								'groupby_field' => '',
		  ));
		  $handler->override_option('attachment_position', 'after');
		  $handler->override_option('inherit_arguments', TRUE);
		  $handler->override_option('inherit_exposed_filters', TRUE);
		  $handler->override_option('displays', array(
								'calendar_1' => 'calendar_1',
								'default' => 0,
								'calendar_block_1' => 0,
		  ));
		  $handler->override_option('calendar_type', 'week');
		  $handler = $view->new_display('calendar_period', 'Block view', 'calendar_period_5');
		  $handler->override_option('style_plugin', 'calendar_style');
		  $handler->override_option('style_options', array(
								'display_type' => 'month',
								'name_size' => '1',
		  ));
		  $handler->override_option('attachment_position', 'before');
		  $handler->override_option('inherit_arguments', TRUE);
		  $handler->override_option('inherit_exposed_filters', TRUE);
		  $handler->override_option('displays', array(
								'calendar_block_1' => 'calendar_block_1',
								'default' => 0,
								'calendar_1' => 0,
								'block_1' => 0,
		  ));
		  $handler->override_option('calendar_type', 'month');
		  $handler = $view->new_display('block', 'Upcoming TV', 'block_1');
		  $handler->override_option('fields', array(
								'title' => array(
										  'label' => '',
										  'link_to_node' => 1,
										  'exclude' => 0,
										  'id' => 'title',
										  'field' => 'title',
										  'table' => 'node',
										  'relationship' => 'none',
										  'format' => 'default',
								),
								'field_om_airing_date_value' => array(
										  'label' => '',
										  'alter' => array(
													 'alter_text' => 0,
													 'text' => '',
													 'make_link' => 0,
													 'path' => '',
													 'alt' => '',
													 'prefix' => '',
													 'suffix' => '',
													 'help' => '',
													 'trim' => 0,
													 'max_length' => '',
													 'word_boundary' => 1,
													 'ellipsis' => 1,
													 'strip_tags' => 0,
													 'html' => 0,
										  ),
										  'link_to_node' => 0,
										  'label_type' => 'none',
										  'format' => 'default',
										  'multiple' => array(
													 'multiple_number' => '',
													 'multiple_from' => '',
													 'multiple_to' => '',
													 'group' => TRUE,
										  ),
										  'repeat' => array(
													 'show_repeat_rule' => '',
										  ),
										  'fromto' => array(
													 'fromto' => 'both',
										  ),
										  'exclude' => 0,
										  'id' => 'field_om_airing_date_value',
										  'table' => 'node_data_field_om_airing_date',
										  'field' => 'field_om_airing_date_value',
										  'override' => array(
													 'button' => 'Use default',
										  ),
										  'relationship' => 'none',
								),
								'name' => array(
										  'label' => 'Channel',
										  'alter' => array(
													 'alter_text' => 0,
													 'text' => '',
													 'make_link' => 0,
													 'path' => '',
													 'alt' => '',
													 'prefix' => '',
													 'suffix' => '',
													 'help' => '',
													 'trim' => 0,
													 'max_length' => '',
													 'word_boundary' => 1,
													 'ellipsis' => 1,
													 'strip_tags' => 0,
													 'html' => 0,
										  ),
										  'link_to_taxonomy' => 0,
										  'exclude' => 0,
										  'id' => 'name',
										  'table' => 'term_data',
										  'field' => 'name',
										  'override' => array(
													 'button' => 'Use default',
										  ),
										  'relationship' => 'none',
								),
		  ));
		  $handler->override_option('arguments', array());
		  $handler->override_option('filters', array(
								'status' => array(
										  'operator' => '=',
										  'value' => 1,
										  'group' => '0',
										  'exposed' => FALSE,
										  'expose' => array(
													 'operator' => FALSE,
													 'label' => '',
										  ),
										  'id' => 'status',
										  'table' => 'node',
										  'field' => 'status',
										  'relationship' => 'none',
								),
								'date_filter' => array(
										  'operator' => '>=',
										  'value' => array(
													 'min' => NULL,
													 'max' => NULL,
													 'value' => NULL,
													 'default_date' => 'now',
													 'default_to_date' => '',
										  ),
										  'group' => '0',
										  'exposed' => FALSE,
										  'expose' => array(
													 'operator' => FALSE,
													 'label' => '',
										  ),
										  'date_fields' => array(
													 'node_data_field_om_airing_date.field_om_airing_date_value' => 'node_data_field_om_airing_date.field_om_airing_date_value',
										  ),
										  'date_method' => 'OR',
										  'granularity' => 'minute',
										  'form_type' => 'date_select',
										  'default_date' => 'now',
										  'default_to_date' => '',
										  'year_range' => '-3:+3',
										  'id' => 'date_filter',
										  'table' => 'node',
										  'field' => 'date_filter',
										  'override' => array(
													 'button' => 'Use default',
										  ),
										  'relationship' => 'none',
								),
		  ));
		  $handler->override_option('title', 'Upcoming TV');
		  $handler->override_option('items_per_page', 5);
		  $handler->override_option('use_more', 1);
		  $handler->override_option('style_plugin', 'list');
		  $handler->override_option('style_options', array(
								'grouping' => '',
								'type' => 'ul',
		  ));
		  $handler->override_option('block_description', 'Upcoming TV');
		  $handler->override_option('block_caching', -1);
		  $views[$view->name] = $view;

		  return $views;
}



